Vehicle Fluids & Capacities API Documentation
Welcome to Vehicle Databases API's Documentation
Vehicle Fluids & Capacities
GETJSON ResponseOverview
This endpoint returns comprehensive fluid specifications, capacities, and maintenance requirements for a specific vehicle. It provides details on engine oil, brake fluid, coolant, transmission fluid, and fuel capacity to support service and automotive data integration.
- COVERAGE
- US region from 1999 to 2026
- SUPPORT
- Works for 17 characters VINs
HTTP Request
Endpoint
https://api.vehicledatabases.com/fluid-specs/{vin}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/fluid-specs/{vin}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
vinRequired- 17 characters VIN number
JSON Response
The response is a JSON of all the information associated with a VIN number or YMMT.
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"vin": "5J8YD4H39LL044094",
"year": 2020,
"make": "Acura",
"model": "MDX",
"trim": "Base 4dr SH-AWD Automatic",
"data": [
{
"title": "Engine Oil",
"items": [
{
"key": "Grade",
"value": "API*"
},
{
"key": "Capacity",
"value": "5.7 quarts (with filter). After refill check oil level., 5.4 quarts. w/of. After refill check oil level."
},
{
"key": "Viscosity",
"value": "0W-20 (All TEMPS)"
},
{
"key": "Torque",
"value": "30 ft/lbs"
}
]
},
{
"title": "Brake Oil",
"items": [
{
"key": "Type",
"value": "(1) Acura Heavy Duty Brake Fluid DOT 3, P/N 08798-9008A"
}
]
},
{
"title": "Engine Coolant",
"items": [
{
"key": "Capacity",
"value": "7.8 quarts."
}
]
},
{
"title": "Transmission Fluid",
"items": [
{
"key": "Capacity",
"value": "9 speed AWD Q5DH Total Fill 7.7 quarts., 3.5 quarts Initial Fill."
}
]
},
{
"title": "Fuel Tank",
"items": [
{
"key": "Capacity",
"value": "19.5 gal"
}
]
}
]
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Fluids & Capacities
GETJSON ResponseOverview
This endpoint returns comprehensive fluid specifications, capacities, and maintenance requirements for a specific vehicle. It provides details on engine oil, brake fluid, coolant, transmission fluid, and fuel capacity to support service and automotive data integration.
- COVERAGE
- US region
- SUPPORT
- Works for US region vehicles from 1999 to 2026
HTTP Request
Endpoint
https://api.vehicledatabases.com/fluid-specs/{year}/{make}/{model}/{trim}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/fluid-specs/{year}/{make}/{model}/{trim}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
makeRequired- Vehicle Make
modelRequired- Vehicle Model
trimRequired- Vehicle Trim
JSON Response
The response is a JSON of all the information associated with a VIN number or YMMT.
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"year": "2024",
"make": "Nissan",
"model": "Murano",
"trim": "Platinum 4dr Front Wheel Drive CVT",
"data": [
{
"title": "Engine Oil",
"items": [
{
"key": "Grade",
"value": "SP"
},
{
"key": "Capacity",
"value": "5.1 quarts (with filter). After refill check oil level."
},
{
"key": "Viscosity",
"value": "0W-20 (All TEMPS)"
},
{
"key": "Torque",
"value": "22-29 ft/lbs"
}
]
},
{
"title": "Brake Oil",
"items": [
{
"key": "Type",
"value": "(1) Genuine NISSAN Super Heavy Duty Brake Fluid or equivalent DOT 3 ( US FMVSS NO.116)."
}
]
},
{
"title": "Engine Coolant",
"items": [
{
"key": "Capacity",
"value": "9.2 quarts."
}
]
},
{
"title": "Transmission Fluid",
"items": [
{
"key": "Capacity",
"value": "RE0F10J Total Fill 9.3 quarts."
}
]
},
{
"title": "Fuel Tank",
"items": [
{
"key": "Capacity",
"value": "19.0 gal"
}
]
}
]
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Fluids & Capacities
GETJSON ResponseOverview
The Year Options API returns a list of all available vehicle years in the database.
- RETURNS
- Array of available years as strings
- SUPPORT
- Works for vehicles from 1894 to 2025
HTTP Request
Endpoint
https://api.vehicledatabases.com/fluid-specs/options/yearRequest
import requests
response = requests.get(
"https://api.vehicledatabases.com/fluid-specs/options/year",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())JSON Response
The response is a JSON of all the information associated with a VIN number or YMMT.
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"years": [
1999,
2000,
2001,
2002,
2003,
2004,
2005,
2006,
2007,
2008,
2009,
2010,
2011,
2012,
2013,
2014,
2015,
2016,
2017,
2018,
2019,
2020,
2021,
2022,
2023,
2024,
2025,
2026
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Fluids & Capacities
GETJSON ResponseOverview
The Make Options API returns a list of all available vehicle makes for a specific year. Use this endpoint after the user selects a year.
- RETURNS
- Array of available makes for the specified year
- REQUIRED
- Year parameter in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/fluid-specs/options/make/{year}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/fluid-specs/options/make/{year}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
JSON Response
The response is a JSON of all the information associated with a VIN number or YMMT.
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2024",
"make": [
"Acura",
"Alfa Romeo",
"Audi",
"BMW",
"Buick",
"Cadillac",
"Chevrolet",
"Chrysler",
"Dodge",
"Fiat",
"Ford",
"GMC",
"Genesis",
"Honda",
"Hyundai",
"Infiniti",
"Jaguar",
"Jeep",
"KIA",
"Land Rover",
"Lexus",
"Lincoln",
"Mazda",
"Mercedes-Benz",
"Mini",
"Mitsubishi",
"Nissan",
"Porsche",
"RAM",
"Rivian",
"Tesla",
"Toyota",
"Volkswagen",
"Volvo"
]
},
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Fluids & Capacities
GETJSON ResponseOverview
The Model Options API returns a list of all available vehicle models for a specific year and make combination. Use this endpoint after the user selects both year and make.
- RETURNS
- Array of available models for the specified year and make
- REQUIRED
- Year and make parameters in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/fluid-specs/options/model/{year}/{make}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/fluid-specs/options/model/{year}/{make}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
makeRequired- Vehicle Make
JSON Response
The response is a JSON of all the information associated with a VIN number or YMMT.
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2024",
"make": "Nissan",
"models": [
"Altima",
"Ariya",
"Armada",
"Frontier",
"GT R",
"Kicks",
"Leaf",
"Murano",
"Pathfinder",
"Rogue",
"Sentra",
"Titan",
"Titan XD",
"Versa",
"Z"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
Vehicle Fluids & Capacities
GETJSON ResponseOverview
The Trim Options API returns a list of all available vehicle trims for a specific year, make, and model combination. This is typically the final endpoint called before making the actual decode request.
- RETURNS
- Array of available trims for the specified year, make, and model
- REQUIRED
- Year, make, and model parameters in the URL path
HTTP Request
Endpoint
https://api.vehicledatabases.com/fluid-specs/options/trim/{year}/{make}/{model}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/fluid-specs/options/trim/{year}/{make}/{model}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
yearRequired- Vehicle Year
makeRequired- Vehicle Make
modelRequired- Vehicle Model
JSON Response
The response is a JSON of all the information associated with a VIN number or YMMT.
Example Response
Response Fields
status- "success" or "error"
data- An object containing all data available.
Response
{
"status": "success",
"data": {
"year": "2024",
"make": "Nissan",
"model": "Murano",
"trims": [
"Platinum 4dr All Wheel Drive CVT",
"Platinum 4dr Front Wheel Drive CVT",
"SL 4dr All Wheel Drive CVT",
"SL 4dr Front Wheel Drive CVT",
"SV 4dr All Wheel Drive CVT",
"SV 4dr Front Wheel Drive CVT"
]
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.